org.eclipse.net4j.buffer

## Interface IBufferProvider.Introspection

- All Superinterfaces:
    IBufferProvider
  All Known Subinterfaces:
    IBufferPool.Introspection
  Enclosing interface:
    IBufferProvider

      public static interface IBufferProvider.Introspection
      extends IBufferProvider

  Offers additional introspection features for `IBufferProvider`s.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

      `IBufferProvider.Introspection`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getProvidedBuffers()` Returns the number of buffers that have already been provided by this `BufferProvider`.
    `long` | `getRetainedBuffers()` Returns the number of buffers that have already been retained to this `BufferProvider`.

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

      `getBufferCapacity, provideBuffer, retainBuffer`

- - ### Method Detail

    - #### getProvidedBuffers

          long getProvidedBuffers()

      Returns the number of buffers that have already been provided by this `BufferProvider`.

    - #### getRetainedBuffers

          long getRetainedBuffers()

      Returns the number of buffers that have already been retained to this `BufferProvider`.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html